//=======================================================================
// DingMee Translator
// URLs: http://chrm.info/cms/dingmee-translator
// Copyright (C) 2012, Christoph Maciejewski
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//=======================================================================

#ifndef DICTDOWNLOADER_H
#define DICTDOWNLOADER_H

#include <QDeclarativeItem>
#include <QFtp>
#include <QFile>
#include "common.h"

class QFile;
class QFtp;
class QNetworkSession;

class DictDownloader : public QDeclarativeItem
{
    Q_OBJECT
public:
    explicit DictDownloader(QDeclarativeItem *parent = 0);
    QString lastStatusMessage;
    int successfullyDownloaded;
    bool isDictInQueue(QString _name);

private:
    QString currentPath;
    QFtp *ftp;
    QFile *file;
    QNetworkSession *networkSession;
    QString currentProgress;
    QString fileName;
    QString ftpUrl;
    int downloadID;
    QString downloadName;

    QString ftpUser;
    QString ftpPasswd;

    QStringList downloadQueue;
    bool downloadIsActive;
    
signals:
    
public slots:    
    void downloadDict(QString _localPath, QString _url, QString _downloadName, bool _newEntry=true);
    void startDownload();
    void updateDataTransferProgress(qint64 _part, qint64 _complete);
    void ftpCommandFinished(int _id, bool _error);
    void ftpCommandStarted(int _id);
    void cancelDownload();
    void ftpStateChanged(int _state);
    bool isDownloadActive();
    
};

#endif // DICTDOWNLOADER_H
