#!/bin/sh

if [ $# -ne 3 ] ; then
    echo "Usage: $0 <DICT1> <DICT2> <OUTPUT-FILE>"
    exit
fi

DICT1=$1
DICT2=$2
OUTPUT=$3

a=0

while read line
    do 
    
    # Find in another file
    lineEN=`echo "$line" | sed "s/\ ::\ .*$//g"`
    lineSOURCE=`echo "$line" | sed "s/.*::\ \(.*$\)/\1/g"`

    TMP=`echo $lineEN | grep SEE`
    if [ "$TMP" != "" ]; then
        echo "--------- SEE --------"
        echo "[$lineEN]"
        echo "[$lineSOURCE]"
    fi

    if [ "$lineEN" == "$lineSOURCE" ] ; then
        continue
    fi

    lineDEST=`grep "$lineEN" $DICT2 | sed "s/.*::\ \(.*$\)/\1/g"`

    if [ "$lineDEST" != "" -a "$lineSOURCE" != "" ]; then
        a=$(($a+1));
        echo $a;
        echo "-------- FOUND --------"
        echo "$lineSOURCE :: $lineDEST" >> $OUTPUT
    fi
done < $DICT1

# Cleanup
cat $OUTPUT | grep -v "SEE:" > ${OUTPUT}.new
cat ${OUTPUT}.new | sort | uniq > $OUTPUT
cat $OUTPUT | grep "::" > ${OUTPUT}.new
cat ${OUTPUT}.new | grep -v "Matthias_Buchmeier" > $OUTPUT
cat $OUTPUT | grep -v "Creative Commons Attribution-ShareAlike" > ${OUTPUT}.new

mv ${OUTPUT}.new $OUTPUT

echo "Ready. Generated file: $OUTPUT"
