//=======================================================================
// DingMee Translator
// URLs: http://chrm.info/cms/dingmee-translator
// Copyright (C) 2012, Christoph Maciejewski
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//=======================================================================

#ifndef TRANSLATOR_H
#define TRANSLATOR_H

#include <QObject>
#include <QDeclarativeItem>

class Translator : public QDeclarativeItem
{
    Q_OBJECT
    Q_PROPERTY(QString name READ myname WRITE setName)


public:
    explicit Translator(QDeclarativeItem *parent = 0);
    QString myname();
    void setName(const QString &name);
    Q_INVOKABLE QString translate(QString _in, QString _dict);

private:
    QString m_name;
    QString getNextColor(int _type);
    QString currentColor[4];
    QString splitDataset(QString _in);
    
signals:
    
public slots:
    
};

#endif // TRANSLATOR_H
